using System;
using ZR.Model;
using ZR.Model.Dto;
using ZR.Model.Models;
using System.Collections.Generic;

namespace ZR.Service.Business.IBusinessService
{
    /// <summary>
    /// 基础资料/库位信息表service接口
    ///
    /// @author admin
    /// @date 2023-04-10
    /// </summary>
    public interface IBasBinService : IBaseService<BasBin>
    {
        PagedInfo<BasBinDto> GetList(BasBinQueryDto parm);

        int AddBasBin(BasBin parm);

        int UpdateBasBin(BasBin parm);
        
        void TruncateBasBin();
    }
}
